/* MailDialog.c generated by valac 0.38.4, the Vala compiler
 * generated from MailDialog.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013-2016 elementary LLC. (https://elementary.io)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <gsignond/gsignond.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>


#define ONLINE_ACCOUNTS_TYPE_DIALOG (online_accounts_dialog_get_type ())
#define ONLINE_ACCOUNTS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialog))
#define ONLINE_ACCOUNTS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialogClass))
#define ONLINE_ACCOUNTS_IS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ONLINE_ACCOUNTS_TYPE_DIALOG))
#define ONLINE_ACCOUNTS_IS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ONLINE_ACCOUNTS_TYPE_DIALOG))
#define ONLINE_ACCOUNTS_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialogClass))

typedef struct _OnlineAccountsDialog OnlineAccountsDialog;
typedef struct _OnlineAccountsDialogClass OnlineAccountsDialogClass;
typedef struct _OnlineAccountsDialogPrivate OnlineAccountsDialogPrivate;

#define ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG (online_accounts_mail_dialog_get_type ())
#define ONLINE_ACCOUNTS_MAIL_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, OnlineAccountsMailDialog))
#define ONLINE_ACCOUNTS_MAIL_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, OnlineAccountsMailDialogClass))
#define ONLINE_ACCOUNTS_IS_MAIL_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG))
#define ONLINE_ACCOUNTS_IS_MAIL_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG))
#define ONLINE_ACCOUNTS_MAIL_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, OnlineAccountsMailDialogClass))

typedef struct _OnlineAccountsMailDialog OnlineAccountsMailDialog;
typedef struct _OnlineAccountsMailDialogClass OnlineAccountsMailDialogClass;
typedef struct _OnlineAccountsMailDialogPrivate OnlineAccountsMailDialogPrivate;
enum  {
	ONLINE_ACCOUNTS_MAIL_DIALOG_0_PROPERTY,
	ONLINE_ACCOUNTS_MAIL_DIALOG_NUM_PROPERTIES
};
static GParamSpec* online_accounts_mail_dialog_properties[ONLINE_ACCOUNTS_MAIL_DIALOG_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block8Data Block8Data;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))

struct _OnlineAccountsDialog {
	GtkGrid parent_instance;
	OnlineAccountsDialogPrivate * priv;
	GHashTable* parameters;
	gchar* request_id;
	GSignondSignonuiError error_code;
};

struct _OnlineAccountsDialogClass {
	GtkGridClass parent_class;
	GHashTable* (*get_reply) (OnlineAccountsDialog* self);
	gboolean (*set_parameters) (OnlineAccountsDialog* self, GHashTable* params);
	gboolean (*refresh_captcha) (OnlineAccountsDialog* self, const gchar* uri);
};

struct _OnlineAccountsMailDialog {
	OnlineAccountsDialog parent_instance;
	OnlineAccountsMailDialogPrivate * priv;
};

struct _OnlineAccountsMailDialogClass {
	OnlineAccountsDialogClass parent_class;
};

struct _OnlineAccountsMailDialogPrivate {
	GtkButton* cancel_button;
	GtkButton* save_button;
	GtkEntry* imap_username_entry;
	GtkEntry* imap_password_entry;
	GtkEntry* imap_server_entry;
	GtkSpinButton* imap_port_spin;
	GtkComboBoxText* imap_encryption_combobox;
	GtkEntry* smtp_username_entry;
	GtkEntry* smtp_password_entry;
	GtkCheckButton* no_credentials;
	GtkEntry* smtp_server_entry;
	GtkSpinButton* smtp_port_spin;
	GtkComboBoxText* smtp_encryption_combobox;
	GtkCheckButton* use_imap_credentials;
	gboolean imap_modified_by_user;
	gboolean imap_port_modified_by_user;
	gboolean smtp_modified_by_user;
	gboolean smtp_port_modified_by_user;
};

struct _Block8Data {
	int _ref_count_;
	OnlineAccountsMailDialog* self;
	GtkGrid* smtp_credentials;
};


static gpointer online_accounts_mail_dialog_parent_class = NULL;

GType online_accounts_dialog_get_type (void) G_GNUC_CONST;
GType online_accounts_mail_dialog_get_type (void) G_GNUC_CONST;
#define ONLINE_ACCOUNTS_MAIL_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, OnlineAccountsMailDialogPrivate))
OnlineAccountsMailDialog* online_accounts_mail_dialog_new (GHashTable* params);
OnlineAccountsMailDialog* online_accounts_mail_dialog_construct (GType object_type, GHashTable* params);
static Block8Data* block8_data_ref (Block8Data* _data8_);
static void block8_data_unref (void * _userdata_);
OnlineAccountsDialog* online_accounts_dialog_construct (GType object_type, GHashTable* parameter);
gboolean online_accounts_dialog_set_parameters (OnlineAccountsDialog* self, GHashTable* params);
static void __lambda21_ (Block8Data* _data8_);
static void online_accounts_mail_dialog_reset_ok (OnlineAccountsMailDialog* self);
static void ___lambda21__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda22_ (OnlineAccountsMailDialog* self);
static void ___lambda22__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda23_ (OnlineAccountsMailDialog* self);
static void ___lambda23__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda24_ (OnlineAccountsMailDialog* self);
static void ___lambda24__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda25_ (OnlineAccountsMailDialog* self);
static void ___lambda25__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda26_ (OnlineAccountsMailDialog* self);
static void ___lambda26__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda27_ (OnlineAccountsMailDialog* self);
static void ___lambda27__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void __lambda28_ (OnlineAccountsMailDialog* self);
static void ___lambda28__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda29_ (OnlineAccountsMailDialog* self);
static void ___lambda29__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda30_ (OnlineAccountsMailDialog* self);
static void ___lambda30__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda31_ (OnlineAccountsMailDialog* self);
static void ___lambda31__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda32_ (OnlineAccountsMailDialog* self);
static void ___lambda32__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void __lambda33_ (OnlineAccountsMailDialog* self);
static void ___lambda33__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda34_ (OnlineAccountsMailDialog* self);
static void ___lambda34__gtk_button_clicked (GtkButton* _sender, gpointer self);
static gboolean online_accounts_mail_dialog_real_refresh_captcha (OnlineAccountsDialog* base, const gchar* uri);
static gboolean online_accounts_mail_dialog_real_set_parameters (OnlineAccountsDialog* base, GHashTable* params);
static gboolean online_accounts_mail_dialog_validate_params (OnlineAccountsMailDialog* self, GHashTable* params);
static GHashTable* online_accounts_mail_dialog_real_get_reply (OnlineAccountsDialog* base);
GHashTable* online_accounts_dialog_get_reply (OnlineAccountsDialog* self);
static void online_accounts_mail_dialog_finalize (GObject * obj);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static Block8Data* block8_data_ref (Block8Data* _data8_) {
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_atomic_int_inc (&_data8_->_ref_count_);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	return _data8_;
#line 179 "MailDialog.c"
}


static void block8_data_unref (void * _userdata_) {
	Block8Data* _data8_;
	_data8_ = (Block8Data*) _userdata_;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (g_atomic_int_dec_and_test (&_data8_->_ref_count_)) {
#line 188 "MailDialog.c"
		OnlineAccountsMailDialog* self;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		self = _data8_->self;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_g_object_unref0 (_data8_->smtp_credentials);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_g_object_unref0 (self);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		g_slice_free (Block8Data, _data8_);
#line 198 "MailDialog.c"
	}
}


static void __lambda21_ (Block8Data* _data8_) {
	OnlineAccountsMailDialog* self;
	gboolean _tmp0_ = FALSE;
	GtkCheckButton* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	GtkCheckButton* _tmp7_;
	GtkCheckButton* _tmp8_;
	gboolean _tmp9_;
	gboolean _tmp10_;
#line 196 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self = _data8_->self;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp1_ = self->priv->no_credentials;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp1_);
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp3_ = _tmp2_;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (!_tmp3_) {
#line 223 "MailDialog.c"
		GtkCheckButton* _tmp4_;
		gboolean _tmp5_;
		gboolean _tmp6_;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp4_ = self->priv->use_imap_credentials;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp5_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp4_);
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp6_ = _tmp5_;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp0_ = !_tmp6_;
#line 235 "MailDialog.c"
	} else {
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp0_ = FALSE;
#line 239 "MailDialog.c"
	}
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _data8_->smtp_credentials, _tmp0_);
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp7_ = self->priv->use_imap_credentials;
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp8_ = self->priv->no_credentials;
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp9_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp8_);
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp10_ = _tmp9_;
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp7_, !_tmp10_);
#line 199 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 255 "MailDialog.c"
}


static void ___lambda21__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 196 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda21_ (self);
#line 262 "MailDialog.c"
}


static void __lambda22_ (OnlineAccountsMailDialog* self) {
#line 202 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 269 "MailDialog.c"
}


static void ___lambda22__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 202 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda22_ ((OnlineAccountsMailDialog*) self);
#line 276 "MailDialog.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 1411 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1411 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1412 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1412 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1412 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1412 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	return result;
#line 296 "MailDialog.c"
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1242 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1243 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1243 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1244 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1244 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1245 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	result = _result_;
#line 1245 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	return result;
#line 319 "MailDialog.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError * _inner_error_ = NULL;
#line 1415 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1415 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1415 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 338 "MailDialog.c"
	} else {
		const gchar* _tmp2_;
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp2_ = old;
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp1_ = (*((gchar*) _tmp2_)) == '\0';
#line 345 "MailDialog.c"
	}
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 351 "MailDialog.c"
	} else {
		const gchar* _tmp3_;
		const gchar* _tmp4_;
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp3_ = old;
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp4_ = replacement;
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (_tmp3_, _tmp4_) == 0;
#line 361 "MailDialog.c"
	}
#line 1416 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 365 "MailDialog.c"
		gchar* _tmp5_;
#line 1417 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp5_ = g_strdup (self);
#line 1417 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		result = _tmp5_;
#line 1417 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		return result;
#line 373 "MailDialog.c"
	}
	{
		GRegex* regex = NULL;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		GRegex* _tmp9_;
		GRegex* _tmp10_;
		gchar* _tmp11_ = NULL;
		GRegex* _tmp12_;
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp6_ = old;
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp7_ = g_regex_escape_string (_tmp6_, -1);
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp8_ = _tmp7_;
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp9_ = g_regex_new (_tmp8_, 0, 0, &_inner_error_);
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp10_ = _tmp9_;
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_g_free0 (_tmp8_);
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		regex = _tmp10_;
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 405 "MailDialog.c"
				goto __catch4_g_regex_error;
			}
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1420 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			return NULL;
#line 414 "MailDialog.c"
		}
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp12_ = regex;
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp13_ = replacement;
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp14_ = g_regex_replace_literal (_tmp12_, self, (gssize) -1, 0, _tmp13_, 0, &_inner_error_);
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp11_ = _tmp14_;
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 430 "MailDialog.c"
				goto __catch4_g_regex_error;
			}
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
			return NULL;
#line 441 "MailDialog.c"
		}
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp15_ = _tmp11_;
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_tmp11_ = NULL;
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		result = _tmp15_;
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_g_free0 (_tmp11_);
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1421 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		return result;
#line 455 "MailDialog.c"
	}
	goto __finally4;
	__catch4_g_regex_error:
	{
		GError* e = NULL;
#line 1419 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1419 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1423 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1419 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 469 "MailDialog.c"
	}
	__finally4:
#line 1419 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1419 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1419 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1419 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
		return NULL;
#line 480 "MailDialog.c"
	}
}


static void __lambda23_ (OnlineAccountsMailDialog* self) {
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gboolean _tmp3_;
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->imap_username_entry;
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp3_ = string_contains (_tmp2_, "@");
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp3_) {
#line 500 "MailDialog.c"
		gchar* domain = NULL;
		GtkEntry* _tmp4_;
		const gchar* _tmp5_;
		const gchar* _tmp6_;
		gchar** _tmp7_;
		gchar** _tmp8_;
		gchar** _tmp9_;
		gint _tmp9__length1;
		const gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
		const gchar* _tmp15_;
		gint _tmp16_;
		gint _tmp17_;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp4_ = self->priv->imap_username_entry;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp5_ = gtk_entry_get_text (_tmp4_);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp6_ = _tmp5_;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp8_ = _tmp7_ = g_strsplit (_tmp6_, "@", 2);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp9_ = _tmp8_;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp9__length1 = _vala_array_length (_tmp7_);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp10_ = _tmp9_[1];
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp11_ = string_strip (_tmp10_);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp12_ = _tmp11_;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp13_ = string_replace (_tmp12_, "@", "");
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp14_ = _tmp13_;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_g_free0 (_tmp12_);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp9_ = (_vala_array_free (_tmp9_, _tmp9__length1, (GDestroyNotify) g_free), NULL);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		domain = _tmp14_;
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp15_ = domain;
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp16_ = strlen (_tmp15_);
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp17_ = _tmp16_;
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		if (_tmp17_ > 0) {
#line 553 "MailDialog.c"
			gboolean _tmp18_;
			gboolean _tmp23_;
#line 209 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp18_ = self->priv->imap_modified_by_user;
#line 209 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			if (!_tmp18_) {
#line 560 "MailDialog.c"
				GtkEntry* _tmp19_;
				const gchar* _tmp20_;
				gchar* _tmp21_;
				gchar* _tmp22_;
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp19_ = self->priv->imap_server_entry;
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp20_ = domain;
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp21_ = g_strconcat ("imap.", _tmp20_, NULL);
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp22_ = _tmp21_;
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				gtk_entry_set_text (_tmp19_, _tmp22_);
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_g_free0 (_tmp22_);
#line 577 "MailDialog.c"
			}
#line 213 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp23_ = self->priv->smtp_modified_by_user;
#line 213 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			if (!_tmp23_) {
#line 583 "MailDialog.c"
				GtkEntry* _tmp24_;
				const gchar* _tmp25_;
				gchar* _tmp26_;
				gchar* _tmp27_;
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp24_ = self->priv->smtp_server_entry;
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp25_ = domain;
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp26_ = g_strconcat ("smtp.", _tmp25_, NULL);
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp27_ = _tmp26_;
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				gtk_entry_set_text (_tmp24_, _tmp27_);
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_g_free0 (_tmp27_);
#line 600 "MailDialog.c"
			}
		}
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_g_free0 (domain);
#line 605 "MailDialog.c"
	}
#line 219 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 609 "MailDialog.c"
}


static void ___lambda23__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 205 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda23_ ((OnlineAccountsMailDialog*) self);
#line 616 "MailDialog.c"
}


static void __lambda24_ (OnlineAccountsMailDialog* self) {
#line 222 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 623 "MailDialog.c"
}


static void ___lambda24__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 222 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda24_ ((OnlineAccountsMailDialog*) self);
#line 630 "MailDialog.c"
}


static void __lambda25_ (OnlineAccountsMailDialog* self) {
	GtkEntry* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->imap_server_entry;
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_get ((GtkWidget*) _tmp0_, "has-focus", &_tmp1_, NULL);
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp2_) {
#line 226 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		self->priv->imap_modified_by_user = TRUE;
#line 648 "MailDialog.c"
	}
#line 229 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 652 "MailDialog.c"
}


static void ___lambda25__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 224 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda25_ ((OnlineAccountsMailDialog*) self);
#line 659 "MailDialog.c"
}


static void __lambda26_ (OnlineAccountsMailDialog* self) {
	GtkSpinButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 233 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->imap_port_spin;
#line 233 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_get ((GtkWidget*) _tmp0_, "has-focus", &_tmp1_, NULL);
#line 233 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 233 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp2_) {
#line 234 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		self->priv->imap_port_modified_by_user = TRUE;
#line 677 "MailDialog.c"
	}
#line 237 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 681 "MailDialog.c"
}


static void ___lambda26__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 232 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda26_ ((OnlineAccountsMailDialog*) self);
#line 688 "MailDialog.c"
}


static void __lambda27_ (OnlineAccountsMailDialog* self) {
	gboolean _tmp0_;
#line 241 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->imap_port_modified_by_user;
#line 241 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (!_tmp0_) {
#line 698 "MailDialog.c"
		GtkComboBoxText* _tmp1_;
		gint _tmp2_;
		gint _tmp3_;
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp1_ = self->priv->imap_encryption_combobox;
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp2_ = gtk_combo_box_get_active ((GtkComboBox*) _tmp1_);
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp3_ = _tmp2_;
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		switch (_tmp3_) {
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			case 1:
#line 712 "MailDialog.c"
			{
				GtkSpinButton* _tmp4_;
#line 244 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp4_ = self->priv->imap_port_spin;
#line 244 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp4_, (gdouble) 993);
#line 245 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				break;
#line 721 "MailDialog.c"
			}
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			case 2:
#line 725 "MailDialog.c"
			{
				GtkSpinButton* _tmp5_;
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp5_ = self->priv->imap_port_spin;
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp5_, (gdouble) 143);
#line 248 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				break;
#line 734 "MailDialog.c"
			}
			default:
			{
				GtkSpinButton* _tmp6_;
#line 250 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp6_ = self->priv->imap_port_spin;
#line 250 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp6_, (gdouble) 143);
#line 251 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				break;
#line 745 "MailDialog.c"
			}
		}
	}
}


static void ___lambda27__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda27_ ((OnlineAccountsMailDialog*) self);
#line 755 "MailDialog.c"
}


static void __lambda28_ (OnlineAccountsMailDialog* self) {
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 762 "MailDialog.c"
}


static void ___lambda28__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda28_ ((OnlineAccountsMailDialog*) self);
#line 769 "MailDialog.c"
}


static void __lambda29_ (OnlineAccountsMailDialog* self) {
#line 258 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 776 "MailDialog.c"
}


static void ___lambda29__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 258 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda29_ ((OnlineAccountsMailDialog*) self);
#line 783 "MailDialog.c"
}


static void __lambda30_ (OnlineAccountsMailDialog* self) {
	GtkEntry* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 261 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->smtp_server_entry;
#line 261 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_get ((GtkWidget*) _tmp0_, "has-focus", &_tmp1_, NULL);
#line 261 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 261 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp2_) {
#line 262 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		self->priv->smtp_modified_by_user = TRUE;
#line 801 "MailDialog.c"
	}
#line 265 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 805 "MailDialog.c"
}


static void ___lambda30__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda30_ ((OnlineAccountsMailDialog*) self);
#line 812 "MailDialog.c"
}


static void __lambda31_ (OnlineAccountsMailDialog* self) {
	GtkSpinButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 269 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->smtp_port_spin;
#line 269 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_get ((GtkWidget*) _tmp0_, "has-focus", &_tmp1_, NULL);
#line 269 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 269 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp2_) {
#line 270 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		self->priv->smtp_port_modified_by_user = TRUE;
#line 830 "MailDialog.c"
	}
#line 273 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 834 "MailDialog.c"
}


static void ___lambda31__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 268 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda31_ ((OnlineAccountsMailDialog*) self);
#line 841 "MailDialog.c"
}


static void __lambda32_ (OnlineAccountsMailDialog* self) {
	gboolean _tmp0_;
#line 277 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->smtp_port_modified_by_user;
#line 277 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (!_tmp0_) {
#line 851 "MailDialog.c"
		GtkComboBoxText* _tmp1_;
		gint _tmp2_;
		gint _tmp3_;
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp1_ = self->priv->smtp_encryption_combobox;
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp2_ = gtk_combo_box_get_active ((GtkComboBox*) _tmp1_);
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp3_ = _tmp2_;
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		switch (_tmp3_) {
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			case 1:
#line 865 "MailDialog.c"
			{
				GtkSpinButton* _tmp4_;
#line 280 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp4_ = self->priv->smtp_port_spin;
#line 280 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp4_, (gdouble) 465);
#line 281 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				break;
#line 874 "MailDialog.c"
			}
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			case 2:
#line 878 "MailDialog.c"
			{
				GtkSpinButton* _tmp5_;
#line 283 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp5_ = self->priv->smtp_port_spin;
#line 283 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp5_, (gdouble) 587);
#line 284 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				break;
#line 887 "MailDialog.c"
			}
			default:
			{
				GtkSpinButton* _tmp6_;
#line 286 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp6_ = self->priv->smtp_port_spin;
#line 286 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp6_, (gdouble) 25);
#line 287 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				break;
#line 898 "MailDialog.c"
			}
		}
	}
}


static void ___lambda32__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 276 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda32_ ((OnlineAccountsMailDialog*) self);
#line 908 "MailDialog.c"
}


static void __lambda33_ (OnlineAccountsMailDialog* self) {
#line 292 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_emit_by_name ((OnlineAccountsDialog*) self, "finished");
#line 915 "MailDialog.c"
}


static void ___lambda33__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 292 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda33_ ((OnlineAccountsMailDialog*) self);
#line 922 "MailDialog.c"
}


static void __lambda34_ (OnlineAccountsMailDialog* self) {
#line 294 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	((OnlineAccountsDialog*) self)->error_code = SIGNONUI_ERROR_CANCELED;
#line 295 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_emit_by_name ((OnlineAccountsDialog*) self, "finished");
#line 296 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 933 "MailDialog.c"
}


static void ___lambda34__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 293 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda34_ ((OnlineAccountsMailDialog*) self);
#line 940 "MailDialog.c"
}


OnlineAccountsMailDialog* online_accounts_mail_dialog_construct (GType object_type, GHashTable* params) {
	OnlineAccountsMailDialog * self = NULL;
	Block8Data* _data8_;
	GHashTable* _tmp0_;
	GtkGrid* main_grid = NULL;
	GtkGrid* _tmp1_;
	GtkStyleContext* _tmp2_;
	GtkLabel* provider_label = NULL;
	GtkLabel* _tmp3_;
	GtkStyleContext* _tmp4_;
	GtkLabel* imap_label = NULL;
	GtkLabel* _tmp5_;
	GtkStyleContext* _tmp6_;
	GtkEntry* _tmp7_;
	GtkEntry* _tmp8_;
	GtkEntry* _tmp9_;
	GtkEntry* _tmp10_;
	GtkEntry* _tmp11_;
	GtkEntry* _tmp12_;
	GtkEntry* _tmp13_;
	GtkGrid* imap_credentials = NULL;
	GtkGrid* _tmp14_;
	GtkStyleContext* _tmp15_;
	GtkEntry* _tmp16_;
	GtkEntry* _tmp17_;
	GtkEntry* _tmp18_;
	GtkEntry* _tmp19_;
	GtkSpinButton* _tmp20_;
	GtkSpinButton* _tmp21_;
	GtkGrid* imap_settings_grid = NULL;
	GtkGrid* _tmp22_;
	GtkStyleContext* _tmp23_;
	GtkEntry* _tmp24_;
	GtkSpinButton* _tmp25_;
	GtkLabel* imap_encryption_label = NULL;
	GtkLabel* _tmp26_;
	GtkComboBoxText* _tmp27_;
	GtkComboBoxText* _tmp28_;
	GtkComboBoxText* _tmp29_;
	GtkComboBoxText* _tmp30_;
	GtkComboBoxText* _tmp31_;
	GtkComboBoxText* _tmp32_;
	GtkGrid* imap_encryption_grid = NULL;
	GtkGrid* _tmp33_;
	GtkComboBoxText* _tmp34_;
	GtkLabel* smtp_label = NULL;
	GtkLabel* _tmp35_;
	GtkStyleContext* _tmp36_;
	GtkEntry* _tmp37_;
	GtkEntry* _tmp38_;
	GtkEntry* _tmp39_;
	GtkEntry* _tmp40_;
	GtkEntry* _tmp41_;
	GtkEntry* _tmp42_;
	GtkEntry* _tmp43_;
	GtkGrid* _tmp44_;
	GtkStyleContext* _tmp45_;
	GtkEntry* _tmp46_;
	GtkEntry* _tmp47_;
	GtkEntry* _tmp48_;
	GtkEntry* _tmp49_;
	GtkSpinButton* _tmp50_;
	GtkSpinButton* _tmp51_;
	GtkGrid* smtp_settings_grid = NULL;
	GtkGrid* _tmp52_;
	GtkStyleContext* _tmp53_;
	GtkEntry* _tmp54_;
	GtkSpinButton* _tmp55_;
	GtkCheckButton* _tmp56_;
	GtkCheckButton* _tmp57_;
	GtkCheckButton* _tmp58_;
	GtkCheckButton* _tmp59_;
	GtkLabel* smtp_encryption_label = NULL;
	GtkLabel* _tmp60_;
	GtkComboBoxText* _tmp61_;
	GtkComboBoxText* _tmp62_;
	GtkComboBoxText* _tmp63_;
	GtkComboBoxText* _tmp64_;
	GtkComboBoxText* _tmp65_;
	GtkComboBoxText* _tmp66_;
	GtkGrid* smtp_encryption_grid = NULL;
	GtkGrid* _tmp67_;
	GtkComboBoxText* _tmp68_;
	GtkButton* _tmp69_;
	GtkButton* _tmp70_;
	GtkButton* _tmp71_;
	GtkButton* _tmp72_;
	GtkStyleContext* _tmp73_;
	GtkButton* _tmp74_;
	GtkButton* _tmp75_;
	GtkGrid* save_box = NULL;
	GtkGrid* _tmp76_;
	GtkButton* _tmp77_;
	GtkButton* _tmp78_;
	GtkGrid* entry_grid = NULL;
	GtkGrid* _tmp79_;
	GtkCheckButton* _tmp80_;
	GtkCheckButton* _tmp81_;
	GtkScrolledWindow* scrolled = NULL;
	GtkScrolledWindow* _tmp82_;
	GHashTable* _tmp83_;
	GtkCheckButton* _tmp84_;
	GtkCheckButton* _tmp85_;
	GtkEntry* _tmp86_;
	GtkEntry* _tmp87_;
	GtkEntry* _tmp88_;
	GtkSpinButton* _tmp89_;
	GtkComboBoxText* _tmp90_;
	GtkEntry* _tmp91_;
	GtkEntry* _tmp92_;
	GtkEntry* _tmp93_;
	GtkSpinButton* _tmp94_;
	GtkComboBoxText* _tmp95_;
	GtkButton* _tmp96_;
	GtkButton* _tmp97_;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_return_val_if_fail (params != NULL, NULL);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_data8_ = g_slice_new0 (Block8Data);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_data8_->_ref_count_ = 1;
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = params;
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self = (OnlineAccountsMailDialog*) online_accounts_dialog_construct (object_type, _tmp0_);
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_data8_->self = g_object_ref (self);
#line 49 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp1_ = (GtkGrid*) gtk_grid_new ();
#line 49 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp1_);
#line 49 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	main_grid = _tmp1_;
#line 50 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_set ((GtkWidget*) main_grid, "margin", 12, NULL);
#line 51 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) main_grid, GTK_ALIGN_CENTER);
#line 52 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) main_grid, GTK_ALIGN_CENTER);
#line 53 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_grid_set_column_spacing (main_grid, 12);
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_grid_set_row_spacing (main_grid, 6);
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) main_grid, GTK_ORIENTATION_VERTICAL);
#line 56 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = gtk_widget_get_style_context ((GtkWidget*) main_grid);
#line 56 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp2_, "login");
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp3_ = (GtkLabel*) gtk_label_new (_ ("Mail Account"));
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp3_);
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	provider_label = _tmp3_;
#line 59 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp4_ = gtk_widget_get_style_context ((GtkWidget*) provider_label);
#line 59 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp4_, "h1");
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) provider_label, 24);
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp5_ = (GtkLabel*) gtk_label_new ("IMAP");
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp5_);
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	imap_label = _tmp5_;
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp6_ = gtk_widget_get_style_context ((GtkWidget*) imap_label);
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp6_, "h4");
#line 64 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) imap_label, GTK_ALIGN_START);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp7_ = (GtkEntry*) gtk_entry_new ();
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp7_);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_username_entry);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->imap_username_entry = _tmp7_;
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp8_ = self->priv->imap_username_entry;
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp8_, _ ("Email"));
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp9_ = self->priv->imap_username_entry;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp9_, TRUE);
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp10_ = (GtkEntry*) gtk_entry_new ();
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp10_);
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_password_entry);
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->imap_password_entry = _tmp10_;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp11_ = self->priv->imap_password_entry;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp11_, _ ("Password"));
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp12_ = self->priv->imap_password_entry;
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_visibility (_tmp12_, FALSE);
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp13_ = self->priv->imap_password_entry;
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_input_purpose (_tmp13_, GTK_INPUT_PURPOSE_PASSWORD);
#line 75 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp14_ = (GtkGrid*) gtk_grid_new ();
#line 75 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp14_);
#line 75 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	imap_credentials = _tmp14_;
#line 76 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) imap_credentials, GTK_ORIENTATION_VERTICAL);
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp15_ = gtk_widget_get_style_context ((GtkWidget*) imap_credentials);
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp15_, GTK_STYLE_CLASS_LINKED);
#line 78 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp16_ = self->priv->imap_username_entry;
#line 78 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_credentials, (GtkWidget*) _tmp16_);
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp17_ = self->priv->imap_password_entry;
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_credentials, (GtkWidget*) _tmp17_);
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp18_ = (GtkEntry*) gtk_entry_new ();
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp18_);
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_server_entry);
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->imap_server_entry = _tmp18_;
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp19_ = self->priv->imap_server_entry;
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp19_, _ ("Server"));
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp20_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) G_MAXUINT16, (gdouble) 10);
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp20_);
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_port_spin);
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->imap_port_spin = _tmp20_;
#line 85 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp21_ = self->priv->imap_port_spin;
#line 85 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_spin_button_set_value (_tmp21_, (gdouble) 993);
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp22_ = (GtkGrid*) gtk_grid_new ();
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp22_);
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	imap_settings_grid = _tmp22_;
#line 88 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp23_ = gtk_widget_get_style_context ((GtkWidget*) imap_settings_grid);
#line 88 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp23_, GTK_STYLE_CLASS_LINKED);
#line 89 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp24_ = self->priv->imap_server_entry;
#line 89 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_settings_grid, (GtkWidget*) _tmp24_);
#line 90 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp25_ = self->priv->imap_port_spin;
#line 90 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_settings_grid, (GtkWidget*) _tmp25_);
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp26_ = (GtkLabel*) gtk_label_new (_ ("Encryption:"));
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp26_);
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	imap_encryption_label = _tmp26_;
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp27_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp27_);
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_encryption_combobox);
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->imap_encryption_combobox = _tmp27_;
#line 95 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp28_ = self->priv->imap_encryption_combobox;
#line 95 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp28_, TRUE);
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp29_ = self->priv->imap_encryption_combobox;
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp29_, "None", _ ("None"));
#line 97 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp30_ = self->priv->imap_encryption_combobox;
#line 97 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp30_, "SSL/TLS", "SSL/TLS");
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp31_ = self->priv->imap_encryption_combobox;
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp31_, "STARTTLS", "STARTTLS");
#line 99 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp32_ = self->priv->imap_encryption_combobox;
#line 99 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_combo_box_set_active ((GtkComboBox*) _tmp32_, 1);
#line 101 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp33_ = (GtkGrid*) gtk_grid_new ();
#line 101 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp33_);
#line 101 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	imap_encryption_grid = _tmp33_;
#line 102 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_grid_set_column_spacing (imap_encryption_grid, 6);
#line 103 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_encryption_grid, (GtkWidget*) imap_encryption_label);
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp34_ = self->priv->imap_encryption_combobox;
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_encryption_grid, (GtkWidget*) _tmp34_);
#line 106 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp35_ = (GtkLabel*) gtk_label_new ("SMTP");
#line 106 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp35_);
#line 106 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	smtp_label = _tmp35_;
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp36_ = gtk_widget_get_style_context ((GtkWidget*) smtp_label);
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp36_, "h4");
#line 108 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) smtp_label, GTK_ALIGN_START);
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp37_ = (GtkEntry*) gtk_entry_new ();
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp37_);
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_username_entry);
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->smtp_username_entry = _tmp37_;
#line 111 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp38_ = self->priv->smtp_username_entry;
#line 111 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp38_, _ ("Email"));
#line 112 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp39_ = self->priv->smtp_username_entry;
#line 112 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp39_, TRUE);
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp40_ = (GtkEntry*) gtk_entry_new ();
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp40_);
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_password_entry);
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->smtp_password_entry = _tmp40_;
#line 115 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp41_ = self->priv->smtp_password_entry;
#line 115 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp41_, _ ("Password"));
#line 116 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp42_ = self->priv->smtp_password_entry;
#line 116 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_visibility (_tmp42_, FALSE);
#line 117 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp43_ = self->priv->smtp_password_entry;
#line 117 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_input_purpose (_tmp43_, GTK_INPUT_PURPOSE_PASSWORD);
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp44_ = (GtkGrid*) gtk_grid_new ();
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp44_);
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_data8_->smtp_credentials = _tmp44_;
#line 120 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _data8_->smtp_credentials, GTK_ORIENTATION_VERTICAL);
#line 121 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp45_ = gtk_widget_get_style_context ((GtkWidget*) _data8_->smtp_credentials);
#line 121 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp45_, GTK_STYLE_CLASS_LINKED);
#line 122 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp46_ = self->priv->smtp_username_entry;
#line 122 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) _data8_->smtp_credentials, (GtkWidget*) _tmp46_);
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp47_ = self->priv->smtp_password_entry;
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) _data8_->smtp_credentials, (GtkWidget*) _tmp47_);
#line 125 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp48_ = (GtkEntry*) gtk_entry_new ();
#line 125 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp48_);
#line 125 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_server_entry);
#line 125 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->smtp_server_entry = _tmp48_;
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp49_ = self->priv->smtp_server_entry;
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp49_, _ ("Server"));
#line 128 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp50_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) G_MAXUINT16, (gdouble) 10);
#line 128 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp50_);
#line 128 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_port_spin);
#line 128 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->smtp_port_spin = _tmp50_;
#line 129 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp51_ = self->priv->smtp_port_spin;
#line 129 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_spin_button_set_value (_tmp51_, (gdouble) 587);
#line 131 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp52_ = (GtkGrid*) gtk_grid_new ();
#line 131 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp52_);
#line 131 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	smtp_settings_grid = _tmp52_;
#line 132 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp53_ = gtk_widget_get_style_context ((GtkWidget*) smtp_settings_grid);
#line 132 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp53_, GTK_STYLE_CLASS_LINKED);
#line 133 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp54_ = self->priv->smtp_server_entry;
#line 133 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) smtp_settings_grid, (GtkWidget*) _tmp54_);
#line 134 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp55_ = self->priv->smtp_port_spin;
#line 134 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) smtp_settings_grid, (GtkWidget*) _tmp55_);
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp56_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Use IMAP Credentials"));
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp56_);
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->use_imap_credentials);
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->use_imap_credentials = _tmp56_;
#line 137 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp57_ = self->priv->use_imap_credentials;
#line 137 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_bind_property_with_closures ((GObject*) _tmp57_, "active", (GObject*) _data8_->smtp_credentials, "sensitive", G_BINDING_INVERT_BOOLEAN, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 138 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp58_ = self->priv->use_imap_credentials;
#line 138 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp58_, TRUE);
#line 140 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp59_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("No authentication required"));
#line 140 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp59_);
#line 140 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->no_credentials);
#line 140 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->no_credentials = _tmp59_;
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp60_ = (GtkLabel*) gtk_label_new (_ ("Encryption:"));
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp60_);
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	smtp_encryption_label = _tmp60_;
#line 144 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp61_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 144 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp61_);
#line 144 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_encryption_combobox);
#line 144 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->smtp_encryption_combobox = _tmp61_;
#line 145 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp62_ = self->priv->smtp_encryption_combobox;
#line 145 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp62_, TRUE);
#line 146 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp63_ = self->priv->smtp_encryption_combobox;
#line 146 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp63_, "None", _ ("None"));
#line 147 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp64_ = self->priv->smtp_encryption_combobox;
#line 147 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp64_, "SSL/TLS", "SSL/TLS");
#line 148 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp65_ = self->priv->smtp_encryption_combobox;
#line 148 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp65_, "STARTTLS", "STARTTLS");
#line 149 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp66_ = self->priv->smtp_encryption_combobox;
#line 149 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_combo_box_set_active ((GtkComboBox*) _tmp66_, 2);
#line 151 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp67_ = (GtkGrid*) gtk_grid_new ();
#line 151 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp67_);
#line 151 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	smtp_encryption_grid = _tmp67_;
#line 152 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_grid_set_column_spacing (smtp_encryption_grid, 6);
#line 153 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) smtp_encryption_grid, (GtkWidget*) smtp_encryption_label);
#line 154 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp68_ = self->priv->smtp_encryption_combobox;
#line 154 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) smtp_encryption_grid, (GtkWidget*) _tmp68_);
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp69_ = (GtkButton*) gtk_button_new_with_label (_ ("Cancel"));
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp69_);
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->cancel_button);
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->cancel_button = _tmp69_;
#line 157 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp70_ = self->priv->cancel_button;
#line 157 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp70_, TRUE);
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp71_ = (GtkButton*) gtk_button_new_with_label (_ ("Log In"));
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp71_);
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->save_button);
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->save_button = _tmp71_;
#line 160 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp72_ = self->priv->save_button;
#line 160 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp73_ = gtk_widget_get_style_context ((GtkWidget*) _tmp72_);
#line 160 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp73_, GTK_STYLE_CLASS_SUGGESTED_ACTION);
#line 161 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp74_ = self->priv->save_button;
#line 161 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp74_, TRUE);
#line 162 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp75_ = self->priv->save_button;
#line 162 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp75_, FALSE);
#line 164 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp76_ = (GtkGrid*) gtk_grid_new ();
#line 164 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp76_);
#line 164 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	save_box = _tmp76_;
#line 165 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_margin_top ((GtkWidget*) save_box, 12);
#line 166 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_grid_set_column_spacing (save_box, 6);
#line 167 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp77_ = self->priv->cancel_button;
#line 167 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) save_box, (GtkWidget*) _tmp77_);
#line 168 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp78_ = self->priv->save_button;
#line 168 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) save_box, (GtkWidget*) _tmp78_);
#line 170 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp79_ = (GtkGrid*) gtk_grid_new ();
#line 170 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp79_);
#line 170 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	entry_grid = _tmp79_;
#line 171 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_set ((GtkWidget*) entry_grid, "expand", TRUE, NULL);
#line 172 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_grid_set_row_spacing (entry_grid, 6);
#line 173 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) entry_grid, GTK_ORIENTATION_VERTICAL);
#line 174 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) imap_label);
#line 175 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) imap_credentials);
#line 176 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) imap_settings_grid);
#line 177 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) imap_encryption_grid);
#line 179 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) smtp_label);
#line 180 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp80_ = self->priv->no_credentials;
#line 180 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) _tmp80_);
#line 181 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) _data8_->smtp_credentials);
#line 182 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp81_ = self->priv->use_imap_credentials;
#line 182 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) _tmp81_);
#line 183 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) smtp_settings_grid);
#line 184 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) smtp_encryption_grid);
#line 186 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) main_grid, (GtkWidget*) provider_label);
#line 187 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) main_grid, (GtkWidget*) entry_grid);
#line 188 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) main_grid, (GtkWidget*) save_box);
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp82_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp82_);
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	scrolled = _tmp82_;
#line 191 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) scrolled, (GtkWidget*) main_grid);
#line 192 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) scrolled);
#line 194 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp83_ = params;
#line 194 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_dialog_set_parameters ((OnlineAccountsDialog*) self, _tmp83_);
#line 196 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp84_ = self->priv->no_credentials;
#line 196 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_data ((GObject*) _tmp84_, "notify::active", (GCallback) ___lambda21__g_object_notify, block8_data_ref (_data8_), (GClosureNotify) block8_data_unref, 0);
#line 202 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp85_ = self->priv->use_imap_credentials;
#line 202 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp85_, "notify::active", (GCallback) ___lambda22__g_object_notify, self, 0);
#line 205 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp86_ = self->priv->imap_username_entry;
#line 205 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp86_, "notify::text", (GCallback) ___lambda23__g_object_notify, self, 0);
#line 222 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp87_ = self->priv->imap_password_entry;
#line 222 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp87_, "notify::text", (GCallback) ___lambda24__g_object_notify, self, 0);
#line 224 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp88_ = self->priv->imap_server_entry;
#line 224 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp88_, "notify::text", (GCallback) ___lambda25__g_object_notify, self, 0);
#line 232 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp89_ = self->priv->imap_port_spin;
#line 232 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp89_, "notify::text", (GCallback) ___lambda26__g_object_notify, self, 0);
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp90_ = self->priv->imap_encryption_combobox;
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GtkComboBox*) _tmp90_, "changed", (GCallback) ___lambda27__gtk_combo_box_changed, self, 0);
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp91_ = self->priv->smtp_username_entry;
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp91_, "notify::text", (GCallback) ___lambda28__g_object_notify, self, 0);
#line 258 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp92_ = self->priv->smtp_password_entry;
#line 258 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp92_, "notify::text", (GCallback) ___lambda29__g_object_notify, self, 0);
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp93_ = self->priv->smtp_server_entry;
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp93_, "notify::text", (GCallback) ___lambda30__g_object_notify, self, 0);
#line 268 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp94_ = self->priv->smtp_port_spin;
#line 268 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp94_, "notify::text", (GCallback) ___lambda31__g_object_notify, self, 0);
#line 276 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp95_ = self->priv->smtp_encryption_combobox;
#line 276 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GtkComboBox*) _tmp95_, "changed", (GCallback) ___lambda32__gtk_combo_box_changed, self, 0);
#line 292 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp96_ = self->priv->save_button;
#line 292 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object (_tmp96_, "clicked", (GCallback) ___lambda33__gtk_button_clicked, self, 0);
#line 293 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp97_ = self->priv->cancel_button;
#line 293 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object (_tmp97_, "clicked", (GCallback) ___lambda34__gtk_button_clicked, self, 0);
#line 299 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (scrolled);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (entry_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (save_box);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (smtp_encryption_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (smtp_encryption_label);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (smtp_settings_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (smtp_label);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (imap_encryption_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (imap_encryption_label);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (imap_settings_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (imap_credentials);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (imap_label);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (provider_label);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (main_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	block8_data_unref (_data8_);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_data8_ = NULL;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	return self;
#line 1645 "MailDialog.c"
}


OnlineAccountsMailDialog* online_accounts_mail_dialog_new (GHashTable* params) {
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	return online_accounts_mail_dialog_construct (ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, params);
#line 1652 "MailDialog.c"
}


static gboolean online_accounts_mail_dialog_real_refresh_captcha (OnlineAccountsDialog* base, const gchar* uri) {
	OnlineAccountsMailDialog * self;
	gboolean result = FALSE;
#line 302 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self = (OnlineAccountsMailDialog*) base;
#line 302 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_return_val_if_fail (uri != NULL, FALSE);
#line 303 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	result = TRUE;
#line 303 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	return result;
#line 1667 "MailDialog.c"
}


static gboolean online_accounts_mail_dialog_real_set_parameters (OnlineAccountsDialog* base, GHashTable* params) {
	OnlineAccountsMailDialog * self;
	gboolean result = FALSE;
	GHashTable* _tmp0_;
	gboolean _tmp1_;
	GHashTable* _tmp2_;
	gboolean _tmp3_;
	GVariant* temp_string = NULL;
	GHashTable* _tmp4_;
	gconstpointer _tmp5_;
	GVariant* _tmp6_;
	GHashTable* _tmp10_;
	gconstpointer _tmp11_;
	GVariant* _tmp12_;
	GHashTable* _tmp16_;
	gconstpointer _tmp17_;
	GVariant* _tmp18_;
	GHashTable* _tmp22_;
	gconstpointer _tmp23_;
	GVariant* _tmp24_;
	GtkEntry* _tmp28_;
	const gchar* _tmp29_;
	const gchar* _tmp30_;
	gchar* _tmp31_;
	gchar* _tmp32_;
	gboolean _tmp33_;
	GHashTable* _tmp48_;
	gconstpointer _tmp49_;
	GVariant* _tmp50_;
	GHashTable* _tmp54_;
	gconstpointer _tmp55_;
	GVariant* _tmp56_;
	GHashTable* _tmp60_;
	gconstpointer _tmp61_;
	GVariant* _tmp62_;
	GHashTable* _tmp66_;
	gconstpointer _tmp67_;
	GVariant* _tmp68_;
	GHashTable* _tmp72_;
	gconstpointer _tmp73_;
	GVariant* _tmp74_;
	GHashTable* _tmp78_;
	gconstpointer _tmp79_;
	GVariant* _tmp80_;
#line 306 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self = (OnlineAccountsMailDialog*) base;
#line 306 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_return_val_if_fail (params != NULL, FALSE);
#line 307 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = params;
#line 307 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp1_ = ONLINE_ACCOUNTS_DIALOG_CLASS (online_accounts_mail_dialog_parent_class)->set_parameters (G_TYPE_CHECK_INSTANCE_CAST (self, ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialog), _tmp0_);
#line 307 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp1_ == FALSE) {
#line 308 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		result = FALSE;
#line 308 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		return result;
#line 1729 "MailDialog.c"
	}
#line 311 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = params;
#line 311 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp3_ = online_accounts_mail_dialog_validate_params (self, _tmp2_);
#line 311 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp3_ == FALSE) {
#line 312 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		result = FALSE;
#line 312 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		return result;
#line 1741 "MailDialog.c"
	}
#line 315 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp4_ = params;
#line 315 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp5_ = g_hash_table_lookup (_tmp4_, "ImapUser");
#line 315 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp5_;
#line 316 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp6_ = temp_string;
#line 316 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp6_ != NULL) {
#line 1753 "MailDialog.c"
		GtkEntry* _tmp7_;
		GVariant* _tmp8_;
		const gchar* _tmp9_;
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp7_ = self->priv->imap_username_entry;
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp8_ = temp_string;
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp9_ = g_variant_get_string (_tmp8_, NULL);
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp7_, _tmp9_);
#line 1765 "MailDialog.c"
	}
#line 320 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp10_ = params;
#line 320 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp11_ = g_hash_table_lookup (_tmp10_, "ImapPassword");
#line 320 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp11_;
#line 321 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp12_ = temp_string;
#line 321 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp12_ != NULL) {
#line 1777 "MailDialog.c"
		GtkEntry* _tmp13_;
		GVariant* _tmp14_;
		const gchar* _tmp15_;
#line 322 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp13_ = self->priv->imap_password_entry;
#line 322 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp14_ = temp_string;
#line 322 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp15_ = g_variant_get_string (_tmp14_, NULL);
#line 322 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp13_, _tmp15_);
#line 1789 "MailDialog.c"
	}
#line 325 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp16_ = params;
#line 325 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp17_ = g_hash_table_lookup (_tmp16_, "SmtpUser");
#line 325 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp17_;
#line 326 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp18_ = temp_string;
#line 326 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp18_ != NULL) {
#line 1801 "MailDialog.c"
		GtkEntry* _tmp19_;
		GVariant* _tmp20_;
		const gchar* _tmp21_;
#line 327 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp19_ = self->priv->smtp_username_entry;
#line 327 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp20_ = temp_string;
#line 327 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp21_ = g_variant_get_string (_tmp20_, NULL);
#line 327 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp19_, _tmp21_);
#line 1813 "MailDialog.c"
	}
#line 330 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp22_ = params;
#line 330 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp23_ = g_hash_table_lookup (_tmp22_, "SmtpPassword");
#line 330 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp23_;
#line 331 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp24_ = temp_string;
#line 331 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp24_ != NULL) {
#line 1825 "MailDialog.c"
		GtkEntry* _tmp25_;
		GVariant* _tmp26_;
		const gchar* _tmp27_;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp25_ = self->priv->smtp_password_entry;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp26_ = temp_string;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp27_ = g_variant_get_string (_tmp26_, NULL);
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp25_, _tmp27_);
#line 1837 "MailDialog.c"
	}
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp28_ = self->priv->smtp_username_entry;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp29_ = gtk_entry_get_text (_tmp28_);
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp30_ = _tmp29_;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp31_ = string_strip (_tmp30_);
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp32_ = _tmp31_;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp33_ = g_strcmp0 (_tmp32_, "") != 0;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_free0 (_tmp32_);
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp33_) {
#line 1855 "MailDialog.c"
		gboolean _tmp34_ = FALSE;
		GtkEntry* _tmp35_;
		const gchar* _tmp36_;
		const gchar* _tmp37_;
		GtkEntry* _tmp38_;
		const gchar* _tmp39_;
		const gchar* _tmp40_;
		GtkCheckButton* _tmp47_;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp35_ = self->priv->smtp_username_entry;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp36_ = gtk_entry_get_text (_tmp35_);
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp37_ = _tmp36_;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp38_ = self->priv->imap_username_entry;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp39_ = gtk_entry_get_text (_tmp38_);
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp40_ = _tmp39_;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		if (g_strcmp0 (_tmp37_, _tmp40_) == 0) {
#line 1878 "MailDialog.c"
			GtkEntry* _tmp41_;
			const gchar* _tmp42_;
			const gchar* _tmp43_;
			GtkEntry* _tmp44_;
			const gchar* _tmp45_;
			const gchar* _tmp46_;
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp41_ = self->priv->smtp_password_entry;
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp42_ = gtk_entry_get_text (_tmp41_);
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp43_ = _tmp42_;
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp44_ = self->priv->imap_password_entry;
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp45_ = gtk_entry_get_text (_tmp44_);
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp46_ = _tmp45_;
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp34_ = g_strcmp0 (_tmp43_, _tmp46_) == 0;
#line 1899 "MailDialog.c"
		} else {
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp34_ = FALSE;
#line 1903 "MailDialog.c"
		}
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp47_ = self->priv->use_imap_credentials;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp47_, _tmp34_);
#line 1909 "MailDialog.c"
	}
#line 340 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp48_ = params;
#line 340 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp49_ = g_hash_table_lookup (_tmp48_, "ImapServer");
#line 340 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp49_;
#line 341 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp50_ = temp_string;
#line 341 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp50_ != NULL) {
#line 1921 "MailDialog.c"
		GtkEntry* _tmp51_;
		GVariant* _tmp52_;
		const gchar* _tmp53_;
#line 342 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp51_ = self->priv->imap_server_entry;
#line 342 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp52_ = temp_string;
#line 342 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp53_ = g_variant_get_string (_tmp52_, NULL);
#line 342 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp51_, _tmp53_);
#line 1933 "MailDialog.c"
	}
#line 345 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp54_ = params;
#line 345 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp55_ = g_hash_table_lookup (_tmp54_, "SmtpServer");
#line 345 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp55_;
#line 346 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp56_ = temp_string;
#line 346 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp56_ != NULL) {
#line 1945 "MailDialog.c"
		GtkEntry* _tmp57_;
		GVariant* _tmp58_;
		const gchar* _tmp59_;
#line 347 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp57_ = self->priv->smtp_server_entry;
#line 347 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp58_ = temp_string;
#line 347 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp59_ = g_variant_get_string (_tmp58_, NULL);
#line 347 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp57_, _tmp59_);
#line 1957 "MailDialog.c"
	}
#line 350 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp60_ = params;
#line 350 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp61_ = g_hash_table_lookup (_tmp60_, "ImapPort");
#line 350 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp61_;
#line 351 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp62_ = temp_string;
#line 351 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp62_ != NULL) {
#line 1969 "MailDialog.c"
		GtkSpinButton* _tmp63_;
		GVariant* _tmp64_;
		guint16 _tmp65_;
#line 352 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp63_ = self->priv->imap_port_spin;
#line 352 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp64_ = temp_string;
#line 352 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp65_ = g_variant_get_uint16 (_tmp64_);
#line 352 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_spin_button_set_value (_tmp63_, (gdouble) _tmp65_);
#line 1981 "MailDialog.c"
	}
#line 355 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp66_ = params;
#line 355 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp67_ = g_hash_table_lookup (_tmp66_, "SmtpPort");
#line 355 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp67_;
#line 356 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp68_ = temp_string;
#line 356 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp68_ != NULL) {
#line 1993 "MailDialog.c"
		GtkSpinButton* _tmp69_;
		GVariant* _tmp70_;
		guint16 _tmp71_;
#line 357 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp69_ = self->priv->smtp_port_spin;
#line 357 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp70_ = temp_string;
#line 357 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp71_ = g_variant_get_uint16 (_tmp70_);
#line 357 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_spin_button_set_value (_tmp69_, (gdouble) _tmp71_);
#line 2005 "MailDialog.c"
	}
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp72_ = params;
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp73_ = g_hash_table_lookup (_tmp72_, "ImapEncryption");
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp73_;
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp74_ = temp_string;
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp74_ != NULL) {
#line 2017 "MailDialog.c"
		GtkComboBoxText* _tmp75_;
		GVariant* _tmp76_;
		const gchar* _tmp77_;
#line 362 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp75_ = self->priv->imap_encryption_combobox;
#line 362 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp76_ = temp_string;
#line 362 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp77_ = g_variant_get_string (_tmp76_, NULL);
#line 362 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp75_, _tmp77_);
#line 2029 "MailDialog.c"
	}
#line 365 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp78_ = params;
#line 365 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp79_ = g_hash_table_lookup (_tmp78_, "SmtpEncryption");
#line 365 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp79_;
#line 366 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp80_ = temp_string;
#line 366 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp80_ != NULL) {
#line 2041 "MailDialog.c"
		GtkComboBoxText* _tmp81_;
		GVariant* _tmp82_;
		const gchar* _tmp83_;
#line 367 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp81_ = self->priv->smtp_encryption_combobox;
#line 367 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp82_ = temp_string;
#line 367 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp83_ = g_variant_get_string (_tmp82_, NULL);
#line 367 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp81_, _tmp83_);
#line 2053 "MailDialog.c"
	}
#line 370 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 372 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	result = TRUE;
#line 372 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	return result;
#line 2061 "MailDialog.c"
}


static gboolean online_accounts_mail_dialog_validate_params (OnlineAccountsMailDialog* self, GHashTable* params) {
	gboolean result = FALSE;
#line 375 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 375 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_return_val_if_fail (params != NULL, FALSE);
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	result = TRUE;
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	return result;
#line 2075 "MailDialog.c"
}


static GHashTable* online_accounts_mail_dialog_real_get_reply (OnlineAccountsDialog* base) {
	OnlineAccountsMailDialog * self;
	GHashTable* result = NULL;
	GHashTable* table = NULL;
	GHashTable* _tmp0_;
	GHashTable* _tmp1_;
	gchar* _tmp2_;
	GtkEntry* _tmp3_;
	const gchar* _tmp4_;
	const gchar* _tmp5_;
	GVariant* _tmp6_;
	GHashTable* _tmp7_;
	gchar* _tmp8_;
	GtkEntry* _tmp9_;
	const gchar* _tmp10_;
	const gchar* _tmp11_;
	GVariant* _tmp12_;
	GtkCheckButton* _tmp13_;
	gboolean _tmp14_;
	gboolean _tmp15_;
	GHashTable* _tmp43_;
	gchar* _tmp44_;
	GtkEntry* _tmp45_;
	const gchar* _tmp46_;
	const gchar* _tmp47_;
	GVariant* _tmp48_;
	GHashTable* _tmp49_;
	gchar* _tmp50_;
	GtkSpinButton* _tmp51_;
	gdouble _tmp52_;
	gdouble _tmp53_;
	GVariant* _tmp54_;
	GHashTable* _tmp55_;
	gchar* _tmp56_;
	GtkComboBoxText* _tmp57_;
	const gchar* _tmp58_;
	const gchar* _tmp59_;
	GVariant* _tmp60_;
	GHashTable* _tmp61_;
	gchar* _tmp62_;
	GtkEntry* _tmp63_;
	const gchar* _tmp64_;
	const gchar* _tmp65_;
	GVariant* _tmp66_;
	GHashTable* _tmp67_;
	gchar* _tmp68_;
	GtkSpinButton* _tmp69_;
	gdouble _tmp70_;
	gdouble _tmp71_;
	GVariant* _tmp72_;
	GHashTable* _tmp73_;
	gchar* _tmp74_;
	GtkComboBoxText* _tmp75_;
	const gchar* _tmp76_;
	const gchar* _tmp77_;
	GVariant* _tmp78_;
#line 379 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self = (OnlineAccountsMailDialog*) base;
#line 380 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = ONLINE_ACCOUNTS_DIALOG_CLASS (online_accounts_mail_dialog_parent_class)->get_reply (G_TYPE_CHECK_INSTANCE_CAST (self, ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialog));
#line 380 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	table = _tmp0_;
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp1_ = table;
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = g_strdup ("ImapUser");
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp3_ = self->priv->imap_username_entry;
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp4_ = gtk_entry_get_text (_tmp3_);
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp5_ = _tmp4_;
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp6_ = g_variant_new_string (_tmp5_);
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp6_);
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp1_, _tmp2_, _tmp6_);
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp7_ = table;
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp8_ = g_strdup ("ImapPassword");
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp9_ = self->priv->imap_password_entry;
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp10_ = gtk_entry_get_text (_tmp9_);
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp11_ = _tmp10_;
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp12_ = g_variant_new_string (_tmp11_);
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp12_);
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp7_, _tmp8_, _tmp12_);
#line 383 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp13_ = self->priv->no_credentials;
#line 383 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp14_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp13_);
#line 383 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp15_ = _tmp14_;
#line 383 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (!_tmp15_) {
#line 2181 "MailDialog.c"
		GtkCheckButton* _tmp16_;
		gboolean _tmp17_;
		gboolean _tmp18_;
#line 384 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp16_ = self->priv->use_imap_credentials;
#line 384 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp17_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp16_);
#line 384 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp18_ = _tmp17_;
#line 384 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		if (_tmp18_) {
#line 2193 "MailDialog.c"
			GHashTable* _tmp19_;
			gchar* _tmp20_;
			GtkEntry* _tmp21_;
			const gchar* _tmp22_;
			const gchar* _tmp23_;
			GVariant* _tmp24_;
			GHashTable* _tmp25_;
			gchar* _tmp26_;
			GtkEntry* _tmp27_;
			const gchar* _tmp28_;
			const gchar* _tmp29_;
			GVariant* _tmp30_;
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp19_ = table;
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp20_ = g_strdup ("SmtpUser");
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp21_ = self->priv->imap_username_entry;
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp22_ = gtk_entry_get_text (_tmp21_);
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp23_ = _tmp22_;
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp24_ = g_variant_new_string (_tmp23_);
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			g_variant_ref_sink (_tmp24_);
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			g_hash_table_insert (_tmp19_, _tmp20_, _tmp24_);
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp25_ = table;
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp26_ = g_strdup ("SmtpPassword");
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp27_ = self->priv->imap_password_entry;
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp28_ = gtk_entry_get_text (_tmp27_);
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp29_ = _tmp28_;
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp30_ = g_variant_new_string (_tmp29_);
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			g_variant_ref_sink (_tmp30_);
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			g_hash_table_insert (_tmp25_, _tmp26_, _tmp30_);
#line 2238 "MailDialog.c"
		} else {
			GHashTable* _tmp31_;
			gchar* _tmp32_;
			GtkEntry* _tmp33_;
			const gchar* _tmp34_;
			const gchar* _tmp35_;
			GVariant* _tmp36_;
			GHashTable* _tmp37_;
			gchar* _tmp38_;
			GtkEntry* _tmp39_;
			const gchar* _tmp40_;
			const gchar* _tmp41_;
			GVariant* _tmp42_;
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp31_ = table;
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp32_ = g_strdup ("SmtpUser");
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp33_ = self->priv->smtp_username_entry;
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp34_ = gtk_entry_get_text (_tmp33_);
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp35_ = _tmp34_;
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp36_ = g_variant_new_string (_tmp35_);
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			g_variant_ref_sink (_tmp36_);
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			g_hash_table_insert (_tmp31_, _tmp32_, _tmp36_);
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp37_ = table;
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp38_ = g_strdup ("SmtpPassword");
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp39_ = self->priv->smtp_password_entry;
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp40_ = gtk_entry_get_text (_tmp39_);
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp41_ = _tmp40_;
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp42_ = g_variant_new_string (_tmp41_);
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			g_variant_ref_sink (_tmp42_);
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			g_hash_table_insert (_tmp37_, _tmp38_, _tmp42_);
#line 2284 "MailDialog.c"
		}
	}
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp43_ = table;
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp44_ = g_strdup ("ImapServer");
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp45_ = self->priv->imap_server_entry;
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp46_ = gtk_entry_get_text (_tmp45_);
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp47_ = _tmp46_;
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp48_ = g_variant_new_string (_tmp47_);
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp48_);
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp43_, _tmp44_, _tmp48_);
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp49_ = table;
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp50_ = g_strdup ("ImapPort");
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp51_ = self->priv->imap_port_spin;
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp52_ = gtk_spin_button_get_value (_tmp51_);
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp53_ = _tmp52_;
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp54_ = g_variant_new_uint16 ((guint16) _tmp53_);
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp54_);
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp49_, _tmp50_, _tmp54_);
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp55_ = table;
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp56_ = g_strdup ("ImapSecurity");
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp57_ = self->priv->imap_encryption_combobox;
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp58_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp57_);
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp59_ = _tmp58_;
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp60_ = g_variant_new_string (_tmp59_);
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp60_);
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp55_, _tmp56_, _tmp60_);
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp61_ = table;
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp62_ = g_strdup ("SmtpServer");
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp63_ = self->priv->smtp_server_entry;
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp64_ = gtk_entry_get_text (_tmp63_);
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp65_ = _tmp64_;
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp66_ = g_variant_new_string (_tmp65_);
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp66_);
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp61_, _tmp62_, _tmp66_);
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp67_ = table;
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp68_ = g_strdup ("SmtpPort");
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp69_ = self->priv->smtp_port_spin;
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp70_ = gtk_spin_button_get_value (_tmp69_);
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp71_ = _tmp70_;
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp72_ = g_variant_new_uint16 ((guint16) _tmp71_);
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp72_);
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp67_, _tmp68_, _tmp72_);
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp73_ = table;
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp74_ = g_strdup ("SmtpSecurity");
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp75_ = self->priv->smtp_encryption_combobox;
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp76_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp75_);
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp77_ = _tmp76_;
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp78_ = g_variant_new_string (_tmp77_);
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp78_);
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp73_, _tmp74_, _tmp78_);
#line 399 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	result = table;
#line 399 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	return result;
#line 2387 "MailDialog.c"
}


static void online_accounts_mail_dialog_reset_ok (OnlineAccountsMailDialog* self) {
	gboolean state = FALSE;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gboolean _tmp3_;
	gboolean _tmp4_;
	GtkEntry* _tmp5_;
	const gchar* _tmp6_;
	const gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* _tmp9_;
	gint _tmp10_;
	gint _tmp11_;
	gboolean _tmp12_ = FALSE;
	GtkCheckButton* _tmp13_;
	gboolean _tmp14_;
	gboolean _tmp15_;
	gboolean _tmp32_;
	GtkEntry* _tmp33_;
	const gchar* _tmp34_;
	const gchar* _tmp35_;
	gchar* _tmp36_;
	gchar* _tmp37_;
	gint _tmp38_;
	gint _tmp39_;
	gboolean _tmp40_;
	GtkEntry* _tmp41_;
	const gchar* _tmp42_;
	const gchar* _tmp43_;
	gchar* _tmp44_;
	gchar* _tmp45_;
	gint _tmp46_;
	gint _tmp47_;
	GtkButton* _tmp48_;
	gboolean _tmp49_;
#line 402 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_return_if_fail (self != NULL);
#line 403 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->imap_username_entry;
#line 403 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 403 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 403 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp3_ = string_contains (_tmp2_, "@");
#line 403 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	state = _tmp3_;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp4_ = state;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp5_ = self->priv->imap_password_entry;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp6_ = gtk_entry_get_text (_tmp5_);
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp7_ = _tmp6_;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp8_ = string_strip (_tmp7_);
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp9_ = _tmp8_;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp10_ = strlen (_tmp9_);
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp11_ = _tmp10_;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	state = _tmp4_ & (_tmp11_ > 0);
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_free0 (_tmp9_);
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp13_ = self->priv->no_credentials;
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp14_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp13_);
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp15_ = _tmp14_;
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (!_tmp15_) {
#line 2467 "MailDialog.c"
		GtkCheckButton* _tmp16_;
		gboolean _tmp17_;
		gboolean _tmp18_;
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp16_ = self->priv->use_imap_credentials;
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp17_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp16_);
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp18_ = _tmp17_;
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp12_ = !_tmp18_;
#line 2479 "MailDialog.c"
	} else {
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp12_ = FALSE;
#line 2483 "MailDialog.c"
	}
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp12_) {
#line 2487 "MailDialog.c"
		gboolean _tmp19_;
		GtkEntry* _tmp20_;
		const gchar* _tmp21_;
		const gchar* _tmp22_;
		gboolean _tmp23_;
		gboolean _tmp24_;
		GtkEntry* _tmp25_;
		const gchar* _tmp26_;
		const gchar* _tmp27_;
		gchar* _tmp28_;
		gchar* _tmp29_;
		gint _tmp30_;
		gint _tmp31_;
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp19_ = state;
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp20_ = self->priv->smtp_username_entry;
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp21_ = gtk_entry_get_text (_tmp20_);
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp22_ = _tmp21_;
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp23_ = string_contains (_tmp22_, "@");
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		state = _tmp19_ & _tmp23_;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp24_ = state;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp25_ = self->priv->smtp_password_entry;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp26_ = gtk_entry_get_text (_tmp25_);
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp27_ = _tmp26_;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp28_ = string_strip (_tmp27_);
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp29_ = _tmp28_;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp30_ = strlen (_tmp29_);
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp31_ = _tmp30_;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		state = _tmp24_ & (_tmp31_ > 0);
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_g_free0 (_tmp29_);
#line 2533 "MailDialog.c"
	}
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp32_ = state;
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp33_ = self->priv->imap_server_entry;
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp34_ = gtk_entry_get_text (_tmp33_);
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp35_ = _tmp34_;
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp36_ = string_strip (_tmp35_);
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp37_ = _tmp36_;
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp38_ = strlen (_tmp37_);
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp39_ = _tmp38_;
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	state = _tmp32_ & (_tmp39_ > 0);
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_free0 (_tmp37_);
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp40_ = state;
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp41_ = self->priv->smtp_server_entry;
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp42_ = gtk_entry_get_text (_tmp41_);
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp43_ = _tmp42_;
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp44_ = string_strip (_tmp43_);
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp45_ = _tmp44_;
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp46_ = strlen (_tmp45_);
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp47_ = _tmp46_;
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	state = _tmp40_ & (_tmp47_ > 0);
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_free0 (_tmp45_);
#line 412 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp48_ = self->priv->save_button;
#line 412 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp49_ = state;
#line 412 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp48_, _tmp49_);
#line 2581 "MailDialog.c"
}


static void online_accounts_mail_dialog_class_init (OnlineAccountsMailDialogClass * klass) {
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_type_class_add_private (klass, sizeof (OnlineAccountsMailDialogPrivate));
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	((OnlineAccountsDialogClass *) klass)->refresh_captcha = (gboolean (*) (OnlineAccountsDialog *, const gchar*)) online_accounts_mail_dialog_real_refresh_captcha;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	((OnlineAccountsDialogClass *) klass)->set_parameters = (gboolean (*) (OnlineAccountsDialog *, GHashTable*)) online_accounts_mail_dialog_real_set_parameters;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	((OnlineAccountsDialogClass *) klass)->get_reply = (GHashTable* (*) (OnlineAccountsDialog *)) online_accounts_mail_dialog_real_get_reply;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = online_accounts_mail_dialog_finalize;
#line 2598 "MailDialog.c"
}


static void online_accounts_mail_dialog_instance_init (OnlineAccountsMailDialog * self) {
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv = ONLINE_ACCOUNTS_MAIL_DIALOG_GET_PRIVATE (self);
#line 41 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->imap_modified_by_user = FALSE;
#line 42 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->imap_port_modified_by_user = FALSE;
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->smtp_modified_by_user = FALSE;
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->smtp_port_modified_by_user = FALSE;
#line 2613 "MailDialog.c"
}


static void online_accounts_mail_dialog_finalize (GObject * obj) {
	OnlineAccountsMailDialog * self;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, OnlineAccountsMailDialog);
#line 24 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->cancel_button);
#line 25 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->save_button);
#line 27 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_username_entry);
#line 28 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_password_entry);
#line 29 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_server_entry);
#line 30 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_port_spin);
#line 31 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_encryption_combobox);
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_username_entry);
#line 34 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_password_entry);
#line 35 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->no_credentials);
#line 36 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_server_entry);
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_port_spin);
#line 38 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_encryption_combobox);
#line 39 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->use_imap_credentials);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	G_OBJECT_CLASS (online_accounts_mail_dialog_parent_class)->finalize (obj);
#line 2651 "MailDialog.c"
}


GType online_accounts_mail_dialog_get_type (void) {
	static volatile gsize online_accounts_mail_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&online_accounts_mail_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (OnlineAccountsMailDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) online_accounts_mail_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (OnlineAccountsMailDialog), 0, (GInstanceInitFunc) online_accounts_mail_dialog_instance_init, NULL };
		GType online_accounts_mail_dialog_type_id;
		online_accounts_mail_dialog_type_id = g_type_register_static (ONLINE_ACCOUNTS_TYPE_DIALOG, "OnlineAccountsMailDialog", &g_define_type_info, 0);
		g_once_init_leave (&online_accounts_mail_dialog_type_id__volatile, online_accounts_mail_dialog_type_id);
	}
	return online_accounts_mail_dialog_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



